Skip to content

Lấy danh sách lịch trình

Request

Query
enabledboolean or null

Kế hoạch đã được kích hoạt chưa?

mainTaskNamestring or null, [ 1 .. 150 ] characters

tên kế hoạch

taskStateinteger or null, <= 3

Trạng thái kế hoạch; 0: Đang chờ thực thi; 1: Đang thực thi; 2: Thực thi hoàn tất; 3: Hủy bỏ

templateTitlestring or null, [ 0 .. 150 ] characters

Tiêu đề mẫu

pageNostring

mặc định:1

pageSizestring

mặc định:20

Bodyapplication/jsonrequired
enabledboolean or null

Kế hoạch đã được kích hoạt chưa?

taskNamestring or null

Tên lịch trình

templateTitlestring or null

Tiêu đề mẫu

taskStateinteger or null

Trạng thái lịch trình; 0: Đang chờ thực thi; 1: Đang thực thi; 2: Thực thi hoàn tất; 3: Hủy

pageNointeger or null

mặc định:1

pageSizeinteger or null

mặc định: 10

POST
/api/cloudphone/rpa/task/page
curl -i -X POST \
  'http://127.0.0.1:40000/api/cloudphone/rpa/task/page?enabled=true&mainTaskName=string&taskState=3&templateTitle=string&pageNo=string&pageSize=string' \
  -H 'Content-Type: application/json' \
  -d '{
    "enabled": true,
    "taskName": "string",
    "templateTitle": "string",
    "taskState": 0,
    "pageNo": 0,
    "pageSize": 0
  }'

Responses

Headers
any
Bodyapplication/json
codeintegerrequired

Mã phản hồi, 0 biểu thị thành công, >0 biểu thị thất bại

msgstringrequired

Thông báo lỗi

requestIdstringrequired

ID theo dõi yêu cầu

dataobjectrequired
Response
{ "code": 0, "msg": "string", "requestId": "string", "data": { "dataList": [], "current": 0, "pages": 0, "total": 0 } }